<?php

//-include_once("class.core.php");
error_reporting(E_ALL &  ~E_NOTICE & ~E_WARNING);
set_time_limit(60);
ini_set("memory_limit","1024M");
class DatabaseI_System {

    var $conn;
    var $error = 'No Error';
    var $sqlString = "";
    var $errNo = "";

/*
    function DatabaseI_System() {
        $hostname = 'localhost';
        $username = "root";
        $password = "Sh!p*2019";
        $dbname   = "SD_admin";
*/
    function DatabaseI_System($params) {
        $hostname = $params['database_ip'];
        $username = $params['db_uname'];
        $password = $params['database_pwd'];
        $dbname   = $params['database_name'];

        $this->conn = mysqli_connect($hostname, $username, $password) or die(mysqli_error($this->conn));
        if (!$this->conn) $this->error = 'Could not connect to database.';

        $db_selected = mysqli_select_db($this->conn,$dbname) or die(mysqli_error($this->conn));
        if (!$db_selected) $this->error = 'Could not select database.';

        return $this->conn;
    }

    public function sanitize($sVar)
    {
        $sVar = strip_tags(trim($sVar));
        if (1 != get_magic_quotes_gpc()) {
            $sVar = mysqli_real_escape_string($sVar);
        }
        return $sVar;
    }
	public function escape_string($data){
		return mysqli_real_escape_string($this->conn,$data);
	}
    function query($sql) {


        if (!$this->conn) {
                $this->error = 'Not connected to database.';
                return false;
        }

        $this->sqlString=$sql;
        $res = @mysqli_query( $this->conn,$sql) or $this->query_error($sql,mysqli_error($this->conn));
        if (!$res) {
                $this->error = mysqli_error($this->conn);
                $this->errNo = mysqli_errno($this->conn);
                return false;
        }
        

        return new DatabaseI_Result_shipdelightSystem($res, $this->conn);
    }
	
	function prepareStmt($sq){
			if (!$this->conn) {
				$this->error = 'Not connected to database.';
				return false;
			}

			$this->sqlString=$sq;
			$res = @mysqli_prepare( $this->conn,$sq) or $this->query_error($sq,mysqli_error($this->conn));
			if (!$res) {
				$this->error = mysqli_error($this->conn);
				$this->errNo = mysqli_errno($this->conn);
				return false;
			}

			return $res;

	}
	
	function bindParam($stmt,$paramArray){
		$count = count($paramArray);
		if($count > 0){
			
		}
		else{
			$this->query_error('Bind Parameter Array','Parameter Array Cannot Be Blank.');
			return false;
		}
	}



    function getError() {
        return $this->error;
    }

    function query_error($query,$error) {
        @mysqli_query($this->conn,"rollback") or die(@$this->conn->error());
        @mysqli_query($this->conn,"Unlock tables") or die(@$this->conn->error());
        $query = $this->conn->real_escape_string($query);
        $error = $this->conn->real_escape_string($error);
       
        $file = $_SERVER["SCRIPT_NAME"];
        //$break = Explode('/', $file);
        //$pfile = $break[count($break) - 1];
        $error_log = "insert into ERROR_LOG(query,error,pagename,date) values('$query','$error','$file',now())";
        mysqli_query($this->conn,$error_log) or die('In error');
        //$_SERVER['REDIRECT_STATUS'] = 404;
        $_SESSION['errorLogId'] = $this->conn->insert_id;
        ob_end_flush();
    }

    function start_trans() {
        @mysqli_query($this->conn,"START TRANSACTION") or die(@$this->conn->error());
    }

    function comit_trans() {
        @mysqli_query($this->conn,"COMMIT") or die(@$this->conn->error());
    }

    function rollback_trans() {
        @mysqli_query($this->conn,"ROLLBACK") or die(@$this->conn->error());
    }

    function getClose(){
        mysqli_close($this->conn);
    }
}


class DatabaseI_Result_shipdelightSystem {
    var $conn;
    var $res;
    var $numRows;
    var $numAffected;
    var $insertId;

    function DatabaseI_Result_shipdelightSystem(&$res, &$conn) {
        $this->res = $res;
        $this->conn = $conn;
    }

    function getNext() {
        $res = @mysqli_fetch_assoc($this->res);
        return $res;
    }

    function getNumRows() {
        $res = ($this->numRows ? $this->numRows : @mysqli_num_rows($this->res));
        return $res;
    }

    function getNumAffected() {
        $res = ($this->numAffected ? $this->numAffected : @mysqli_affected_rows($this->conn));
        return $res;
    }

    function getResult() {
        return $this->res;
    }

    function getResultToArray(){
        //MYSQL_ASSOC, MYSQL_NUM, and MYSQL_BOTH.
        $returnArray= array();
        while ($row = mysqli_fetch_array($this->res, MYSQLI_ASSOC)) {
            array_push($returnArray,$row);
        }
        return $returnArray;
    }

    function get_insert_id(){
        $this->insertId = @$this->conn->insert_id;
        return $this->insertId;
    }


    function get_cust_id(){
        $result = mysqli_query($this->conn,"call GEN_CUSTOMER_ID(08,00)");
        $row = mysqli_fetch_array($result);

        $objUtil = new Core_PassSystem();
        $objUtil->log_data("\n abc ".$row[0]);
    }
    
    function getClose(){
        mysqli_close($this->conn);
    }

}

?>
