<?php

class Users{

	function __construct(){

	}

    function get_user_list($params)
    {
    	global $MASTER_POOL,$clientmd,$CLIENT_POOL;
		$page_no = $params['page_no'];
		$per_page = $params['per_page'];
		$search = $params['search'];
		$db = new DatabaseI_System($CLIENT_POOL);
        $where = " where deleted=0";
		if(isset($search) && $search!="")
            $where .= " and (email LIKE '%".$search."%' or mobile LIKE '%".$search."%')";

        $sql = "select *,DATE_FORMAT(created_date, '%b %d %Y') as created_date,CONCAT(UCASE(MID(first_name,1,1)),LCASE(MID(first_name,2))) as first_name,CONCAT(UCASE(MID(last_name,1,1)),LCASE(MID(last_name,2))) as last_name,is_active,if(is_active='1','Active','Inactive') as status,email as email_id, mobile as mobile_no from app_user_master $where order by id limit $page_no,$per_page";
		$result = $db->query($sql);
		$arr = $result->getResultToArray();

        $sql1 = "select id from app_user_master $where";
		$result1 = $db->query($sql1);
		$arr1 = $result1->getNumRows();
        $db->getClose();
        return json_encode(array('result'=>$arr,'result_count'=>$arr1));
    }


	function insert_user($params){

		global $MASTER_POOL,$CLIENT_POOL,$clientmd;

		$first_name = $params['first_name'];
		$email = $params['email'];
		$mobile = $params['mobile'];
		$last_name = $params['last_name'];
		$designation = $params['designation'];
		$password = $params['password'];
		$admin_id = $params['admin_id'];
		$profile_path = $params['profile_path'];
		$client_id = $params['client_id'];
		$industry = $params['industry'];
		$sub_industry = $params['sub_industry'];

		$db = new DatabaseI_System($CLIENT_POOL);

		$sql = "insert into app_user_master (first_name,email,mobile,last_name,designation,password,admin_id,profile_path,client_id,industry,sub_industry) values (

				'$first_name','$email','$mobile','$last_name','$designation','$password','$admin_id','$profile_path','$client_id','$industry','$sub_industry')";

		$result = $db->query($sql);

		$arr = $result->get_insert_id();

		$db->getClose();

        return json_encode($arr);

	}
	function update_user($params){

		global $MASTER_POOL,$CLIENT_POOL,$clientmd;


		$first_name = $params['first_name'];
		$email = $params['email'];
		$mobile = $params['mobile'];
		$last_name = $params['last_name'];
		$designation = $params['designation'];
		$admin_id = $params['admin_id'];
		$profile_path = $params['profile_path'];
		$client_id = $params['client_id'];
		$user_id = $params['user_id'];
		$updated_date = $params['updated_date'];
		$industry = $params['industry'];
		$sub_industry = $params['sub_industry'];

		$db = new DatabaseI_System($CLIENT_POOL);

		  $sql = "update app_user_master
				set  first_name = '".$first_name."',
					 email = '".$email."',
					 mobile = '".$mobile."',
					 last_name = '".$last_name."',
					 designation = '".$designation."',
					 admin_id = '".$admin_id."',
					 profile_path = '".$profile_path."',
					 client_id = '".$client_id."',
					 updated_date = '".$updated_date."',
					 industry = '".$industry."',
					 sub_industry = '".$sub_industry."'
					 where id=".$user_id;
		$result = $db->query($sql);


		$db->getClose();

        return json_encode($result);

	}



	function get_user($params)
	{
		global $MASTER_POOL,$clientmd,$CLIENT_POOL;
		$user_id = $params['user_id'];
		$db = new DatabaseI_System($CLIENT_POOL);
		$sql = "select *,if(is_active='1','Active','Inactive') as status from app_user_master where   id='$user_id'";
		$result = $db->query($sql);
		$arr = $result->getResultToArray();
        $db->getClose();
        return json_encode($arr[0]);
	}
	function user_delete($params)
    {
       global $MASTER_POOL,$CLIENT_POOL,$clientmd;

        $cur_date = date('Y-m-d H:i:s');
		$user_id = $params['user_id'];

		$db = new DatabaseI_System($CLIENT_POOL);

		$sql = "update app_user_master
				set  is_deleted = '1',
					 is_active = '0',
					 updated_date = '".$cur_date."'
					 where id=".$user_id;
		$result = $db->query($sql);

        $db->getClose();
        if($result->getNumAffected() > 0)
            return TRUE;
		else
            return FALSE;
    }
    function user_undelete($params)
    {
       global $MASTER_POOL,$CLIENT_POOL,$clientmd;

        $cur_date = date('Y-m-d H:i:s');
		$user_id = $params['user_id'];

		$db = new DatabaseI_System($CLIENT_POOL);

		$sql = "update app_user_master
				set  is_deleted = '0',
					 is_active = '1',
					 updated_date = '".$cur_date."'
					 where id=".$user_id;

		$result = $db->query($sql);


		$db->getClose();

        return json_encode($result);
    }

    function get_user_list1($params)
	{
		global $MASTER_POOL,$clientmd,$CLIENT_POOL;
		$db = new DatabaseI_System($CLIENT_POOL);
		$sql = "select email as email_id from app_user_master order by id";
		$result = $db->query($sql);
		$arr = $result->getResultToArray();
        $db->getClose();
        return json_encode($arr);
	}
	function user_deleted($params)
    {
       global $MASTER_POOL,$CLIENT_POOL,$clientmd;

        $cur_date = date('Y-m-d H:i:s');
		$user_id = $params['user_id'];

		$db = new DatabaseI_System($CLIENT_POOL);

		$sql = "update app_user_master
				set  is_deleted = '1',
					 is_active = '0',
					 deleted = '1',
					 updated_date = '".$cur_date."'
					 where id=".$user_id;
		$result = $db->query($sql);

        $db->getClose();
        if($result->getNumAffected() > 0)
            return TRUE;
		else
            return FALSE;
    }

			function logtbl($params){

				global $MASTER_POOL,$CLIENT_POOL,$clientmd;

				$user_id = $params['user_id'];
				$type = $params['type'];
				$ops = $params['ops'];
				$tblid = $params['tblid'];

				$db = new DatabaseI_System($CLIENT_POOL);

				$sql = "insert into logtbl (user_id,type,ops,tblid) values (

						'$user_id','$type','$ops','$tblid')";

				$result = $db->query($sql);

				$arr = $result->get_insert_id();

				$db->getClose();

		        return json_encode($arr);

			}

}
